<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     4.4.0
 */
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

global $product, $woocommerce, $woocommerce_loop;

$crosssells = WC()->cart->get_cross_sells();

if (sizeof($crosssells) == 0)
    return;

$meta_query = WC()->query->get_meta_query();

$args = array(
    'post_type' => 'product',
    'ignore_sticky_posts' => 1,
    'no_found_rows' => 1,
    'posts_per_page' => apply_filters('woocommerce_cross_sells_total', $posts_per_page),
    'orderby' => $orderby,
    'post__in' => $crosssells,
    'meta_query' => $meta_query
);

$products = new WP_Query($args);

$woocommerce_loop['columns'] = apply_filters('woocommerce_cross_sells_columns', $columns);

if ($products->have_posts()) :
    ?>

    <div class="cross-sells">
        <div class="row section-header box">
            <div class="section-big-wrapper">
                <h3 class="section-big"><?php _e('You may be interested in&hellip;', 'goodstore') ?></h3>
            </div>
        </div>

        <?php woocommerce_product_loop_start(); ?>

        <?php while ($products->have_posts()) : $products->the_post(); ?>

            <?php wc_get_template_part('content', 'product'); ?>

        <?php endwhile; // end of the loop. ?>

    <?php woocommerce_product_loop_end(); ?>

    </div>

<?php
endif;

wp_reset_query();
